VkPhysicalDeviceLimits Struct Reference

`#include <vulkan.h>`

## Data Fields

uint32_t | maxImageDimension1D
uint32_t | maxImageDimension2D
uint32_t | maxImageDimension3D
uint32_t | maxImageDimensionCube
uint32_t | maxImageArrayLayers
uint32_t | maxTexelBufferElements
uint32_t | maxUniformBufferRange
uint32_t | maxStorageBufferRange
uint32_t | maxPushConstantsSize
uint32_t | maxMemoryAllocationCount
uint32_t | maxSamplerAllocationCount
VkDeviceSize | bufferImageGranularity
VkDeviceSize | sparseAddressSpaceSize
uint32_t | maxBoundDescriptorSets
uint32_t | maxPerStageDescriptorSamplers
uint32_t | maxPerStageDescriptorUniformBuffers
uint32_t | maxPerStageDescriptorStorageBuffers
uint32_t | maxPerStageDescriptorSampledImages
uint32_t | maxPerStageDescriptorStorageImages
uint32_t | maxPerStageDescriptorInputAttachments
uint32_t | maxPerStageResources
uint32_t | maxDescriptorSetSamplers
uint32_t | maxDescriptorSetUniformBuffers
uint32_t | maxDescriptorSetUniformBuffersDynamic
uint32_t | maxDescriptorSetStorageBuffers
uint32_t | maxDescriptorSetStorageBuffersDynamic
uint32_t | maxDescriptorSetSampledImages
uint32_t | maxDescriptorSetStorageImages
uint32_t | maxDescriptorSetInputAttachments
uint32_t | maxVertexInputAttributes
uint32_t | maxVertexInputBindings
uint32_t | maxVertexInputAttributeOffset
uint32_t | maxVertexInputBindingStride
uint32_t | maxVertexOutputComponents
uint32_t | maxTessellationGenerationLevel
uint32_t | maxTessellationPatchSize
uint32_t | maxTessellationControlPerVertexInputComponents
uint32_t | maxTessellationControlPerVertexOutputComponents
uint32_t | maxTessellationControlPerPatchOutputComponents
uint32_t | maxTessellationControlTotalOutputComponents
uint32_t | maxTessellationEvaluationInputComponents
uint32_t | maxTessellationEvaluationOutputComponents
uint32_t | maxGeometryShaderInvocations
uint32_t | maxGeometryInputComponents
uint32_t | maxGeometryOutputComponents
uint32_t | maxGeometryOutputVertices
uint32_t | maxGeometryTotalOutputComponents
uint32_t | maxFragmentInputComponents
uint32_t | maxFragmentOutputAttachments
uint32_t | maxFragmentDualSrcAttachments
uint32_t | maxFragmentCombinedOutputResources
uint32_t | maxComputeSharedMemorySize
uint32_t | maxComputeWorkGroupCount [3]
uint32_t | maxComputeWorkGroupInvocations
uint32_t | maxComputeWorkGroupSize [3]
uint32_t | subPixelPrecisionBits
uint32_t | subTexelPrecisionBits
uint32_t | mipmapPrecisionBits
uint32_t | maxDrawIndexedIndexValue
uint32_t | maxDrawIndirectCount
float | maxSamplerLodBias
float | maxSamplerAnisotropy
uint32_t | maxViewports
uint32_t | maxViewportDimensions [2]
float | viewportBoundsRange [2]
uint32_t | viewportSubPixelBits
size_t | minMemoryMapAlignment
VkDeviceSize | minTexelBufferOffsetAlignment
VkDeviceSize | minUniformBufferOffsetAlignment
VkDeviceSize | minStorageBufferOffsetAlignment
int32_t | minTexelOffset
uint32_t | maxTexelOffset
int32_t | minTexelGatherOffset
uint32_t | maxTexelGatherOffset
float | minInterpolationOffset
float | maxInterpolationOffset
uint32_t | subPixelInterpolationOffsetBits
uint32_t | maxFramebufferWidth
uint32_t | maxFramebufferHeight
uint32_t | maxFramebufferLayers
VkSampleCountFlags | framebufferColorSampleCounts
VkSampleCountFlags | framebufferDepthSampleCounts
VkSampleCountFlags | framebufferStencilSampleCounts
VkSampleCountFlags | framebufferNoAttachmentsSampleCounts
uint32_t | maxColorAttachments
VkSampleCountFlags | sampledImageColorSampleCounts
VkSampleCountFlags | sampledImageIntegerSampleCounts
VkSampleCountFlags | sampledImageDepthSampleCounts
VkSampleCountFlags | sampledImageStencilSampleCounts
VkSampleCountFlags | storageImageSampleCounts
uint32_t | maxSampleMaskWords
VkBool32 | timestampComputeAndGraphics
float | timestampPeriod
uint32_t | maxClipDistances
uint32_t | maxCullDistances
uint32_t | maxCombinedClipAndCullDistances
uint32_t | discreteQueuePriorities
float | pointSizeRange [2]
float | lineWidthRange [2]
float | pointSizeGranularity
float | lineWidthGranularity
VkBool32 | strictLines
VkBool32 | standardSampleLocations
VkDeviceSize | optimalBufferCopyOffsetAlignment
VkDeviceSize | optimalBufferCopyRowPitchAlignment
VkDeviceSize | nonCoherentAtomSize

## Detailed Description

Definition at line 1506 of file vulkan.h.

## Field Documentation

## bufferImageGranularity

VkDeviceSize VkPhysicalDeviceLimits::bufferImageGranularity

Definition at line 1518 of file vulkan.h.

## discreteQueuePriorities

uint32_t VkPhysicalDeviceLimits::discreteQueuePriorities

Definition at line 1603 of file vulkan.h.

## framebufferColorSampleCounts

VkSampleCountFlags VkPhysicalDeviceLimits::framebufferColorSampleCounts

Definition at line 1587 of file vulkan.h.

## framebufferDepthSampleCounts

VkSampleCountFlags VkPhysicalDeviceLimits::framebufferDepthSampleCounts

Definition at line 1588 of file vulkan.h.

## framebufferNoAttachmentsSampleCounts

VkSampleCountFlags VkPhysicalDeviceLimits::framebufferNoAttachmentsSampleCounts

Definition at line 1590 of file vulkan.h.

## framebufferStencilSampleCounts

VkSampleCountFlags VkPhysicalDeviceLimits::framebufferStencilSampleCounts

Definition at line 1589 of file vulkan.h.

## lineWidthGranularity

float VkPhysicalDeviceLimits::lineWidthGranularity

Definition at line 1607 of file vulkan.h.

## lineWidthRange

float VkPhysicalDeviceLimits::lineWidthRange[2]

Definition at line 1605 of file vulkan.h.

## maxBoundDescriptorSets

uint32_t VkPhysicalDeviceLimits::maxBoundDescriptorSets

Definition at line 1520 of file vulkan.h.

## maxClipDistances

uint32_t VkPhysicalDeviceLimits::maxClipDistances

Definition at line 1600 of file vulkan.h.

## maxColorAttachments

uint32_t VkPhysicalDeviceLimits::maxColorAttachments

Definition at line 1591 of file vulkan.h.

## maxCombinedClipAndCullDistances

uint32_t VkPhysicalDeviceLimits::maxCombinedClipAndCullDistances

Definition at line 1602 of file vulkan.h.

## maxComputeSharedMemorySize

uint32_t VkPhysicalDeviceLimits::maxComputeSharedMemorySize

Definition at line 1558 of file vulkan.h.

## maxComputeWorkGroupCount

uint32_t VkPhysicalDeviceLimits::maxComputeWorkGroupCount[3]

Definition at line 1559 of file vulkan.h.

## maxComputeWorkGroupInvocations

uint32_t VkPhysicalDeviceLimits::maxComputeWorkGroupInvocations

Definition at line 1560 of file vulkan.h.

## maxComputeWorkGroupSize

uint32_t VkPhysicalDeviceLimits::maxComputeWorkGroupSize[3]

Definition at line 1561 of file vulkan.h.

## maxCullDistances

uint32_t VkPhysicalDeviceLimits::maxCullDistances

Definition at line 1601 of file vulkan.h.

## maxDescriptorSetInputAttachments

uint32_t VkPhysicalDeviceLimits::maxDescriptorSetInputAttachments

Definition at line 1535 of file vulkan.h.

## maxDescriptorSetSampledImages

uint32_t VkPhysicalDeviceLimits::maxDescriptorSetSampledImages

Definition at line 1533 of file vulkan.h.

## maxDescriptorSetSamplers

uint32_t VkPhysicalDeviceLimits::maxDescriptorSetSamplers

Definition at line 1528 of file vulkan.h.

## maxDescriptorSetStorageBuffers

uint32_t VkPhysicalDeviceLimits::maxDescriptorSetStorageBuffers

Definition at line 1531 of file vulkan.h.

## maxDescriptorSetStorageBuffersDynamic

uint32_t VkPhysicalDeviceLimits::maxDescriptorSetStorageBuffersDynamic

Definition at line 1532 of file vulkan.h.

## maxDescriptorSetStorageImages

uint32_t VkPhysicalDeviceLimits::maxDescriptorSetStorageImages

Definition at line 1534 of file vulkan.h.

## maxDescriptorSetUniformBuffers

uint32_t VkPhysicalDeviceLimits::maxDescriptorSetUniformBuffers

Definition at line 1529 of file vulkan.h.

## maxDescriptorSetUniformBuffersDynamic

uint32_t VkPhysicalDeviceLimits::maxDescriptorSetUniformBuffersDynamic

Definition at line 1530 of file vulkan.h.

## maxDrawIndexedIndexValue

uint32_t VkPhysicalDeviceLimits::maxDrawIndexedIndexValue

Definition at line 1565 of file vulkan.h.

## maxDrawIndirectCount

uint32_t VkPhysicalDeviceLimits::maxDrawIndirectCount

Definition at line 1566 of file vulkan.h.

## maxFragmentCombinedOutputResources

uint32_t VkPhysicalDeviceLimits::maxFragmentCombinedOutputResources

Definition at line 1557 of file vulkan.h.

## maxFragmentDualSrcAttachments

uint32_t VkPhysicalDeviceLimits::maxFragmentDualSrcAttachments

Definition at line 1556 of file vulkan.h.

## maxFragmentInputComponents

uint32_t VkPhysicalDeviceLimits::maxFragmentInputComponents

Definition at line 1554 of file vulkan.h.

## maxFragmentOutputAttachments

uint32_t VkPhysicalDeviceLimits::maxFragmentOutputAttachments

Definition at line 1555 of file vulkan.h.

## maxFramebufferHeight

uint32_t VkPhysicalDeviceLimits::maxFramebufferHeight

Definition at line 1585 of file vulkan.h.

## maxFramebufferLayers

uint32_t VkPhysicalDeviceLimits::maxFramebufferLayers

Definition at line 1586 of file vulkan.h.

## maxFramebufferWidth

uint32_t VkPhysicalDeviceLimits::maxFramebufferWidth

Definition at line 1584 of file vulkan.h.

## maxGeometryInputComponents

uint32_t VkPhysicalDeviceLimits::maxGeometryInputComponents

Definition at line 1550 of file vulkan.h.

## maxGeometryOutputComponents

uint32_t VkPhysicalDeviceLimits::maxGeometryOutputComponents

Definition at line 1551 of file vulkan.h.

## maxGeometryOutputVertices

uint32_t VkPhysicalDeviceLimits::maxGeometryOutputVertices

Definition at line 1552 of file vulkan.h.

## maxGeometryShaderInvocations

uint32_t VkPhysicalDeviceLimits::maxGeometryShaderInvocations

Definition at line 1549 of file vulkan.h.

## maxGeometryTotalOutputComponents

uint32_t VkPhysicalDeviceLimits::maxGeometryTotalOutputComponents

Definition at line 1553 of file vulkan.h.

## maxImageArrayLayers

uint32_t VkPhysicalDeviceLimits::maxImageArrayLayers

Definition at line 1511 of file vulkan.h.

## maxImageDimension1D

uint32_t VkPhysicalDeviceLimits::maxImageDimension1D

Definition at line 1507 of file vulkan.h.

## maxImageDimension2D

uint32_t VkPhysicalDeviceLimits::maxImageDimension2D

Definition at line 1508 of file vulkan.h.

## maxImageDimension3D

uint32_t VkPhysicalDeviceLimits::maxImageDimension3D

Definition at line 1509 of file vulkan.h.

## maxImageDimensionCube

uint32_t VkPhysicalDeviceLimits::maxImageDimensionCube

Definition at line 1510 of file vulkan.h.

## maxInterpolationOffset

float VkPhysicalDeviceLimits::maxInterpolationOffset

Definition at line 1582 of file vulkan.h.

## maxMemoryAllocationCount

uint32_t VkPhysicalDeviceLimits::maxMemoryAllocationCount

Definition at line 1516 of file vulkan.h.

## maxPerStageDescriptorInputAttachments

uint32_t VkPhysicalDeviceLimits::maxPerStageDescriptorInputAttachments

Definition at line 1526 of file vulkan.h.

## maxPerStageDescriptorSampledImages

uint32_t VkPhysicalDeviceLimits::maxPerStageDescriptorSampledImages

Definition at line 1524 of file vulkan.h.

## maxPerStageDescriptorSamplers

uint32_t VkPhysicalDeviceLimits::maxPerStageDescriptorSamplers

Definition at line 1521 of file vulkan.h.

## maxPerStageDescriptorStorageBuffers

uint32_t VkPhysicalDeviceLimits::maxPerStageDescriptorStorageBuffers

Definition at line 1523 of file vulkan.h.

## maxPerStageDescriptorStorageImages

uint32_t VkPhysicalDeviceLimits::maxPerStageDescriptorStorageImages

Definition at line 1525 of file vulkan.h.

## maxPerStageDescriptorUniformBuffers

uint32_t VkPhysicalDeviceLimits::maxPerStageDescriptorUniformBuffers

Definition at line 1522 of file vulkan.h.

## maxPerStageResources

uint32_t VkPhysicalDeviceLimits::maxPerStageResources

Definition at line 1527 of file vulkan.h.

## maxPushConstantsSize

uint32_t VkPhysicalDeviceLimits::maxPushConstantsSize

Definition at line 1515 of file vulkan.h.

## maxSampleMaskWords

uint32_t VkPhysicalDeviceLimits::maxSampleMaskWords

Definition at line 1597 of file vulkan.h.

## maxSamplerAllocationCount

uint32_t VkPhysicalDeviceLimits::maxSamplerAllocationCount

Definition at line 1517 of file vulkan.h.

## maxSamplerAnisotropy

float VkPhysicalDeviceLimits::maxSamplerAnisotropy

Definition at line 1568 of file vulkan.h.

## maxSamplerLodBias

float VkPhysicalDeviceLimits::maxSamplerLodBias

Definition at line 1567 of file vulkan.h.

## maxStorageBufferRange

uint32_t VkPhysicalDeviceLimits::maxStorageBufferRange

Definition at line 1514 of file vulkan.h.

## maxTessellationControlPerPatchOutputComponents

uint32_t VkPhysicalDeviceLimits::maxTessellationControlPerPatchOutputComponents

Definition at line 1545 of file vulkan.h.

## maxTessellationControlPerVertexInputComponents

uint32_t VkPhysicalDeviceLimits::maxTessellationControlPerVertexInputComponents

Definition at line 1543 of file vulkan.h.

## maxTessellationControlPerVertexOutputComponents

uint32_t VkPhysicalDeviceLimits::maxTessellationControlPerVertexOutputComponents

Definition at line 1544 of file vulkan.h.

## maxTessellationControlTotalOutputComponents

uint32_t VkPhysicalDeviceLimits::maxTessellationControlTotalOutputComponents

Definition at line 1546 of file vulkan.h.

## maxTessellationEvaluationInputComponents

uint32_t VkPhysicalDeviceLimits::maxTessellationEvaluationInputComponents

Definition at line 1547 of file vulkan.h.

## maxTessellationEvaluationOutputComponents

uint32_t VkPhysicalDeviceLimits::maxTessellationEvaluationOutputComponents

Definition at line 1548 of file vulkan.h.

## maxTessellationGenerationLevel

uint32_t VkPhysicalDeviceLimits::maxTessellationGenerationLevel

Definition at line 1541 of file vulkan.h.

## maxTessellationPatchSize

uint32_t VkPhysicalDeviceLimits::maxTessellationPatchSize

Definition at line 1542 of file vulkan.h.

## maxTexelBufferElements

uint32_t VkPhysicalDeviceLimits::maxTexelBufferElements

Definition at line 1512 of file vulkan.h.

## maxTexelGatherOffset

uint32_t VkPhysicalDeviceLimits::maxTexelGatherOffset

Definition at line 1580 of file vulkan.h.

## maxTexelOffset

uint32_t VkPhysicalDeviceLimits::maxTexelOffset

Definition at line 1578 of file vulkan.h.

## maxUniformBufferRange

uint32_t VkPhysicalDeviceLimits::maxUniformBufferRange

Definition at line 1513 of file vulkan.h.

## maxVertexInputAttributeOffset

uint32_t VkPhysicalDeviceLimits::maxVertexInputAttributeOffset

Definition at line 1538 of file vulkan.h.

## maxVertexInputAttributes

uint32_t VkPhysicalDeviceLimits::maxVertexInputAttributes

Definition at line 1536 of file vulkan.h.

## maxVertexInputBindings

uint32_t VkPhysicalDeviceLimits::maxVertexInputBindings

Definition at line 1537 of file vulkan.h.

## maxVertexInputBindingStride

uint32_t VkPhysicalDeviceLimits::maxVertexInputBindingStride

Definition at line 1539 of file vulkan.h.

## maxVertexOutputComponents

uint32_t VkPhysicalDeviceLimits::maxVertexOutputComponents

Definition at line 1540 of file vulkan.h.

## maxViewportDimensions

uint32_t VkPhysicalDeviceLimits::maxViewportDimensions[2]

Definition at line 1570 of file vulkan.h.

## maxViewports

uint32_t VkPhysicalDeviceLimits::maxViewports

Definition at line 1569 of file vulkan.h.

## minInterpolationOffset

float VkPhysicalDeviceLimits::minInterpolationOffset

Definition at line 1581 of file vulkan.h.

## minMemoryMapAlignment

size_t VkPhysicalDeviceLimits::minMemoryMapAlignment

Definition at line 1573 of file vulkan.h.

## minStorageBufferOffsetAlignment

VkDeviceSize VkPhysicalDeviceLimits::minStorageBufferOffsetAlignment

Definition at line 1576 of file vulkan.h.

## minTexelBufferOffsetAlignment

VkDeviceSize VkPhysicalDeviceLimits::minTexelBufferOffsetAlignment

Definition at line 1574 of file vulkan.h.

## minTexelGatherOffset

int32_t VkPhysicalDeviceLimits::minTexelGatherOffset

Definition at line 1579 of file vulkan.h.

## minTexelOffset

int32_t VkPhysicalDeviceLimits::minTexelOffset

Definition at line 1577 of file vulkan.h.

## minUniformBufferOffsetAlignment

VkDeviceSize VkPhysicalDeviceLimits::minUniformBufferOffsetAlignment

Definition at line 1575 of file vulkan.h.

## mipmapPrecisionBits

uint32_t VkPhysicalDeviceLimits::mipmapPrecisionBits

Definition at line 1564 of file vulkan.h.

## nonCoherentAtomSize

VkDeviceSize VkPhysicalDeviceLimits::nonCoherentAtomSize

Definition at line 1612 of file vulkan.h.

## optimalBufferCopyOffsetAlignment

VkDeviceSize VkPhysicalDeviceLimits::optimalBufferCopyOffsetAlignment

Definition at line 1610 of file vulkan.h.

## optimalBufferCopyRowPitchAlignment

VkDeviceSize VkPhysicalDeviceLimits::optimalBufferCopyRowPitchAlignment

Definition at line 1611 of file vulkan.h.

## pointSizeGranularity

float VkPhysicalDeviceLimits::pointSizeGranularity

Definition at line 1606 of file vulkan.h.

## pointSizeRange

float VkPhysicalDeviceLimits::pointSizeRange[2]

Definition at line 1604 of file vulkan.h.

## sampledImageColorSampleCounts

VkSampleCountFlags VkPhysicalDeviceLimits::sampledImageColorSampleCounts

Definition at line 1592 of file vulkan.h.

## sampledImageDepthSampleCounts

VkSampleCountFlags VkPhysicalDeviceLimits::sampledImageDepthSampleCounts

Definition at line 1594 of file vulkan.h.

## sampledImageIntegerSampleCounts

VkSampleCountFlags VkPhysicalDeviceLimits::sampledImageIntegerSampleCounts

Definition at line 1593 of file vulkan.h.

## sampledImageStencilSampleCounts

VkSampleCountFlags VkPhysicalDeviceLimits::sampledImageStencilSampleCounts

Definition at line 1595 of file vulkan.h.

## sparseAddressSpaceSize

VkDeviceSize VkPhysicalDeviceLimits::sparseAddressSpaceSize

Definition at line 1519 of file vulkan.h.

## standardSampleLocations

VkBool32 VkPhysicalDeviceLimits::standardSampleLocations

Definition at line 1609 of file vulkan.h.

## storageImageSampleCounts

VkSampleCountFlags VkPhysicalDeviceLimits::storageImageSampleCounts

Definition at line 1596 of file vulkan.h.

## strictLines

VkBool32 VkPhysicalDeviceLimits::strictLines

Definition at line 1608 of file vulkan.h.

## subPixelInterpolationOffsetBits

uint32_t VkPhysicalDeviceLimits::subPixelInterpolationOffsetBits

Definition at line 1583 of file vulkan.h.

## subPixelPrecisionBits

uint32_t VkPhysicalDeviceLimits::subPixelPrecisionBits

Definition at line 1562 of file vulkan.h.

## subTexelPrecisionBits

uint32_t VkPhysicalDeviceLimits::subTexelPrecisionBits

Definition at line 1563 of file vulkan.h.

## timestampComputeAndGraphics

VkBool32 VkPhysicalDeviceLimits::timestampComputeAndGraphics

Definition at line 1598 of file vulkan.h.

## timestampPeriod

float VkPhysicalDeviceLimits::timestampPeriod

Definition at line 1599 of file vulkan.h.

## viewportBoundsRange

float VkPhysicalDeviceLimits::viewportBoundsRange[2]

Definition at line 1571 of file vulkan.h.

## viewportSubPixelBits

uint32_t VkPhysicalDeviceLimits::viewportSubPixelBits

Definition at line 1572 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h